<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\TirolKBW\HonorarPdf;

class HonorarAbrechnungDialogController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new HonorarAbrechnungDialogUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    $result = new HonorarAbrechnungDialogRequest();
    $result->knr = \GetOperations::getVarValue('knr');

    return $result;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new HonorarAbrechnungDialogPresenter($pUseCaseResponse);
  }
}